"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.API_AUTH_REQUIRED = true;
exports.ConsoleColor = {
    green: '\x1b[32m$',
    red: '\x1b[31m',
    yellow: '\x1b[33m',
    reset: '\x1b[0m'
};
var RESTApiServiceRequestMethods = (function () {
    function RESTApiServiceRequestMethods() {
        this.POST = 'post';
        this.PUT = 'put';
        this.PATCH = 'patch';
        this.DELETE = 'delete';
        this.GET = 'get';
    }
    return RESTApiServiceRequestMethods;
}());
exports.RESTApiServiceRequestMethods = RESTApiServiceRequestMethods;
exports.RESTApiServiceErrorCode = {
    INVALID_OPTIONS_TYPE: 90,
    INVALID_OPTIONS_PORT: 91,
    INVALID_OPTIONS_VERBOSE: 92,
    INVALID_OPTIONS_LOG_ERRORS: 93,
    INVALID_OPTIONS_CORS: 94,
    INVALID_OPTIONS_AUTH: 95,
    INVALID_OPTIONS_PROTOCOL: 96,
    INVALID_OPTIONS_CREDENTIALS: 97,
    INVALID_OPTIONS_CREDENTIALS_CERTIFICATE: 98,
    INVALID_OPTIONS_CREDENTIALS_KEY: 99,
    INVALID_ROUTES_COLLECTION: 100,
    INVALID_ROUTE_TYPE: 101,
    INVALID_ROUTE_METHOD: 102,
    INVALID_ROUTE_URI: 103,
    INVALID_ROUTE_CONTROLLER: 104,
    INVALID_ROUTE_PRIVATE_FLAG: 105
};
var RESTApiServiceError = (function (_super) {
    __extends(RESTApiServiceError, _super);
    function RESTApiServiceError(message, errCode) {
        var _this = _super.call(this, message) || this;
        Object.setPrototypeOf(_this, RESTApiServiceError.prototype);
        _this.code = errCode;
        return _this;
    }
    return RESTApiServiceError;
}(Error));
exports.RESTApiServiceError = RESTApiServiceError;
