import { RESTApiServiceRoute, RESTApiServiceRequestMethods } from './';
export declare class RoutesValidator {
    static allowedMethods: RESTApiServiceRequestMethods;
    static checkCollectionType(r: unknown[]): void;
    static checkRouteType(x: unknown, i?: number): void;
    static checkMethod(x: unknown, i?: number): void;
    static checkURI(x: unknown, i?: number): void;
    static checkController(x: unknown, i?: number): void;
    static checkPrivateFlag(x: unknown, i?: number): void;
}
export declare function validateRoute(route: RESTApiServiceRoute, i?: number): void;
export default function validateRoutes(routes: RESTApiServiceRoute[]): void;
